COLUMN(1)

BEZEICHNUNG
column - Listen in Spalten darstellen

ÜBERSICHT
column [-entx] [-c Spalten] [-s Trenner] [file ...]

BESCHREIBUNG
Das Dienstprogramm column formatiert dessen Eingabe in mehreren Spalten. Zeilen werden vor Spalten gefüllt. Die Eingabe wird aus den Datei -Operanden gelesen, oder (standardmäßig) aus der Standardeingabe. Leere Zeilen werden ignoriert, es sei denn, die Option -e wurde angegeben.

Folgende Optionen stehen zur Verfügung:

-c  formatiert die Ausgabe für einen Bildschirm mit der angegebenen Breite in Spalten.

-s  gibt eine Reihe von Zeichen an, die als Spaltentrenner für die Option -t verwendet werden sollen.

-t  ermittelt die Anzahl der Spalten, die die Eingabe enthält, und erstellt eine Tabelle. Die Spalten werden standardmäßig durch Leerzeichen oder durch die in der Option -s angegebenen Zeichen getrennt. Die Tabellenausgabe ist für Schöndruck (»Pretty Printing«) geeignet.

-x  füllt Zeilen, bevor Spalten gefüllt werden.

-n  In der Voreinstellung führt der Befehl column bei Verwendung der Option -t mehrere nebeneinander liegende Trenner in einen einzigen Trenner zusammen; diese Option deaktiviert dieses Verhalten. Diese Option ist eine Erweiterung in Debian GNU/Linux.

-e  ignoriert leere Zeilen nicht.

UMGEBUNGSVARIABLEN
Die Umgebungsvariablen COLUMNS, LANG, LC_ALL und LC_CTYPE beeinflussen die Ausführung von column, wie in environ(7) beschrieben.

EXIT-STATUS

BEISPIELE
    (printf "PERM LINKS OWNER GROUP SIZE MONTH DAY " ; \
    printf "HH:MM/YEAR NAME\n" ; \
    ls -l | sed 1d) | column -t

SIEHE AUCH
colrm(1), ls(1), paste(1), sort(1)

GESCHICHTE
Der Befehl column erschien in 4.3BSD Reno.

FEHLER
Die Eingabezeilen sind in der Länge auf 512-mal LINE_MAX (1M) breite Zeichen begrenzt.

Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.